using System;
using System.Collections.Generic;
using System.Text;

namespace Rechner3
{
   class Program
   {
      static void Main(string[] args)
      {
         string eingabe;                  // nimmt die Benutzereingabe auf
         char[] trennzeichen = { ' ' };   // Trennzeichen für die Zerlegung von 'eingabe'
         string[] aufgabe;                // Nimmt die zerlegten Einzelteile von 'eingabe' auf
         int operand1, operand2;          // Operanden der auszuführenden Rechnung
         string aktion;                   // Rechenoperation
         string ergebnis;                 // Zeichenfolge für die Ausgabe des Ergebnisses
 
         Console.Write("Geben Sie eine Aufgabe ein: ");
         eingabe = Console.ReadLine();

         aufgabe = eingabe.Split(trennzeichen, StringSplitOptions.RemoveEmptyEntries);

         if (aufgabe.Length != 3)
         {
            Console.WriteLine("Ungültige Eingabe.");
         }
         else
         {
            operand1 = int.Parse(aufgabe[0]);
            aktion = aufgabe[1];
            operand2 = int.Parse(aufgabe[2]);

            switch (aktion)
            {
               case "+":
                  ergebnis = "Ergebnis: " + (operand1 + operand2);
                  break;
               case "-":
                  ergebnis = "Ergebnis: " + (operand1 - operand2);
                  break;
               case "*":
                  ergebnis = "Ergebnis: " + (operand1 * operand2);
                  break;
               case ":":
               case "/":
                  ergebnis = "Ergebnis: " + (operand1 / operand2);
                  break;
               default:
                  ergebnis = "Fehler: ungültiger Operator!";
                  break;
            }

            Console.WriteLine(ergebnis);
         }
      }
   }
}
